#!/bin/bash

# В системе должны быть установлены пакеты
# gzip, gcr, libpcsclite, pcsc-lite, pcsc-lite-ccid

JCPKCS_PACKAGE=`ls -l | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_alt_x64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_alt_x64\.rpm)/\1/p'`

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

echo "Установка пакетов!"
echo "=========================================="
apt-get install -y libpcsclite pcsc-lite pcsc-lite-ccid
apt-get install -y $JCPKCS_PACKAGE $UC_PACKAGE
